selftest: add a bunch of wbinfo based tests for winbindd
authorStefan Metzmacher <metze@samba.org>
Fri, 14 Dec 2007 15:54:01 +0000 (16:54 +0100)
committerStefan Metzmacher <metze@samba.org>
Fri, 14 Dec 2007 15:56:10 +0000 (16:56 +0100)
metze
(This used to be commit 88b6d2c0e83f515e2f83e5b4edc0728c434c7294)

source3/script/tests/test_wbinfo_s3.sh [new file with mode: 0755]
source3/script/tests/tests_all.sh

diff --git a/source3/script/tests/test_wbinfo_s3.sh b/source3/script/tests/test_wbinfo_s3.sh
new file mode 100755 (executable)
index 0000000..abd6146
--- /dev/null
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+if [ $# -lt 4 ]; then
+cat <<EOF
+Usage: test_wbinfo_s3.sh DOMAIN SERVER USERNAME PASSWORD <wbinfo args>
+EOF
+exit 1;
+fi
+
+domain="$1"
+server="$2"
+username="$3"
+password="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+OLDIFS=$IFS;
+
+tests="--ping"
+tests="$tests:--separator"
+tests="$tests:--own-domain"
+tests="$tests:--all-domains"
+tests="$tests:--trusted-domains"
+tests="$tests:--domain-info=BUILTIN"
+tests="$tests:--domain-info=$server"
+tests="$tests:--sequence"
+tests="$tests:--sequence --domain=BUILTIN"
+tests="$tests:--sequence --domain=$server"
+#Didn't pass yet# tests="$tests:--domain-users"
+tests="$tests:--domain-groups"
+tests="$tests:--name-to-sid=$username"
+#Didn't pass yet# tests="$tests:--user-info=$username"
+tests="$tests:--user-groups=$username"
+
+OLDIFS=$IFS
+NEWIFS=$':'
+IFS=$NEWIFS
+for t in $tests; do
+   IFS=$OLDIFS
+   testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $ADDARGS $t || failed=`expr $failed + 1`
+   IFS=$NEWIFS
+done
+IFS=$OLDIFS
+
+testok $0 $failed
index dd593899e4b72e907cbc02699bc6722b8a9e72cc..12789aa9263cdf1efd56bb8ec18b953b64d0e93c 100755 (executable)
@@ -2,6 +2,7 @@
 $SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
 $SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
+$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
 
 SMBTORTURE4VERSION=`$SMBTORTURE4 --version`
 if [ -n "$SMBTORTURE4" -a -n "$SMBTORTURE4VERSION" ];then